#include "Salamander.h"
#include "Visual.h"

namespace Salamander
{

Visual::Visual() : Geometry(),
	texture_(NULL)
{

}

Visual::~Visual()
{

}

void Visual::setTransform(const Mat2& transform)
{
	transform_ = transform;
}

const Mat2& Visual::getTransform() const
{
	return transform_;
}

void Visual::setColour(const Colour& colour)
{
	colour_ = colour;
}

const Colour& Visual::getColour() const
{
	return colour_;
}

void Visual::setBlendMode(const BlendMode& blendMode)
{
	blendMode_ = blendMode;
}

const BlendMode& Visual::getBlendMode() const
{
	return blendMode_;
}

void Visual::setTexture(Texture* texture)
{
	texture_ = texture;
}

const Texture* Visual::getTexture() const
{
	return texture_;
}

}